## org.apache.cassandra.utils
Class HeapAllocator

    java.lang.Object
      org.apache.cassandra.utils.Allocator
          org.apache.cassandra.utils.HeapAllocator

    public final class HeapAllocator

extends Allocator

Field Summary
`static HeapAllocator` `instance`

Method Summary
`java.nio.ByteBuffer` `allocate(int size)`

Methods inherited from class org.apache.cassandra.utils.Allocator
`clone`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    public static final HeapAllocator instance

Method Detail

### allocate

    public java.nio.ByteBuffer allocate(int size)

  Specified by:
    `allocate` in class `Allocator`

Copyright © 2012 The Apache Software Foundation